Skip to main content
GET
/
payments
List payments
curl --request GET \
  --url https://api.example.com/payments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "68505cb92a11ea971d9df894",
      "contact": "68505cb92a11ea971d9df899",
      "company": "68505cb92a11ea971d9df811",
      "locationName": "Downtown Hotel",
      "amount": 12000,
      "totalAmount": 60000,
      "currency": "usd",
      "active": true,
      "paid": false,
      "refunded": false,
      "paymentId": "pi_3Nabc...",
      "transfered": false,
      "transferId": "tr_3Nabc...",
      "destinationPaymentId": "py_3Nabc...",
      "balance": {
        "amount": 12000,
        "fee": 400,
        "net": 11600,
        "currency": "usd",
        "exchangeRate": 1,
        "platformCommission": 1000,
        "providerNet": 10600,
        "refunds": [
          {}
        ]
      },
      "url": "https://checkout.stripe.com/c/pay/cs_test_123",
      "createdAt": "2026-04-14T12:00:00.000Z",
      "updatedAt": "2026-04-14T12:00:00.000Z"
    }
  ],
  "meta": {
    "pagination": {
      "limit": 25,
      "nextCursor": "68505cb92a11ea971d9df894",
      "hasMore": true
    }
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <api_key>.

Query Parameters

limit
integer

Max number of payments to return (1–100).

Required range: 1 <= x <= 100
Example:

20

cursor
string

Pagination cursor returned by a previous request.

Example:

"68505cb92a11ea971d9df894"

contact
string

Filter payments by contact/conversation ID.

Example:

"68505cb92a11ea971d9df899"

paid
enum<string>

Filter by payment status.

Available options:
true,
false
Example:

"true"

Response

List of payments

data
object[]
required
meta
object
required